## pyatspi 2.34.0

=== debian/changelog ===
pyatspi (2.34.0-2) unstable; urgency=medium

  * debian/tests/dbus-daemon: Send all dbus output to stdout, for
    debuggability.
  * rules, tests/tests: Prevent Xvfb from resetting between clients, it seems to
    be creating a period of time during which clients can't connect
    (Closes: Bug#940775).
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Sep 2019 17:51:30 +0200

pyatspi (2.34.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/missing-file: Fixed upstream.
  * copyright: Simplify and complete file.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Sep 2019 23:02:00 +0200

pyatspi (2.33.92-1) experimental; urgency=medium

  * New upstream beta release.
    - Fixes licensing questions.
    - source/options: Remove compression option, now useless.
    - patches/tests: Remove, now taken from tarball.
    - patches/xml-test-fix: Upstreamed.
    - patches/tests-python3: Upstreamed.
    - patches/missing-file: Add missing files.
  * gbp.conf: Disable using dfsg branch, enable pristine-tar use.
  * control: Build-depend and Depend on gir1.2-atspi-2.0 (>= 2.33.1) to get
    atspi_accessible_get_accessible_id.
  * control: Remove dh-autoreconf build-dep.
  * copyright: Remove duplicate license text.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2019 00:50:34 +0200

pyatspi (2.33.90+really2.33.90+dfsg-1) experimental; urgency=medium

  * New upstream release
    - patches/fix-print-usage: upstreamed.
    - patches/git-lockmods: upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 23 Aug 2019 00:52:57 +0200

pyatspi (2.33.90+really2.32.1+dfsg-5) UNRELEASED; urgency=medium

  * tests/tests: Fix temporary directory path.
  * tests/control: Use @builddeps@ instead of copying them.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 01:49:21 +0200

pyatspi (2.33.90+really2.32.1+dfsg-4) unstable; urgency=medium

  * rules: Run xvfb before dbus session, to make sure dbus doesn't catch host
    X display.
  * compat: Bump to 12.
  * control: Bump debhelper build-dep accordingly.
  * rules: Use -B debhelper option to implement the multi-python builds.
    Remove configure flags then already brought by debhelper. Show testsuite
    logs on failure.
  * debian/tests/use_system_pyatspi.patch: Move to debian/patches.
  * tests/control: Depend on python-pyatspi, python3-pyatspi.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 10:42:45 +0200

pyatspi (2.33.90+really2.32.1+dfsg-3) unstable; urgency=medium

  * patches/tests: Re-import test files from upstream, with proper copyright
    information this time.
  * patches/disable-tests: Remove.
  * patches/xml-test-fix: Fix xml bug.
  * copyright: Update accordingly.
  * rules: Enable tests.
  * control: Add corresponding build-deps, notably libatk-adaptor version
    >= 2.32.0-6~ which fixes a startup crash.
  * patches/tests-python3: Fix python3 compatibility of tests.
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Aug 2019 22:37:50 +0200

pyatspi (2.33.90+really2.32.1+dfsg-2) unstable; urgency=medium

  * Artificially bump version to fix erroneous experimental upload to
    unstable, sorry!
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2019 23:54:09 +0200

=== debian/control ===
Source: pyatspi
Section: python
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://salsa.debian.org/a11y-team/pyatspi
Vcs-Git: https://salsa.debian.org/a11y-team/pyatspi.git
Homepage: http://live.gnome.org/Accessibility
Build-Depends: debhelper (>= 12~),
               dh-python, python-all, python3-all,
               pkg-config,
               python-gi-dev (>= 2.90.1),
               python-dbus <!nocheck>,
               python3-dbus <!nocheck>,
               libdbus-1-dev <!nocheck>,
               libglib2.0-dev <!nocheck>,
               libdbus-glib-1-dev <!nocheck>,
               libxml2-dev <!nocheck>,
               libatk1.0-dev <!nocheck>,
               libgtk2.0-dev <!nocheck>,
               gir1.2-atspi-2.0 (>= 2.33.1) <!nocheck>,
               libatk-adaptor (>= 2.32.0-6~) <!nocheck>,
               at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.4.0

Package: python-pyatspi
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.33.90~),
         libatk-adaptor (>= 2.11.2), at-spi2-core
Description: Assistive Technology Service Provider Interface - Python bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python bindings for the client side aspects of at-spi2.

Package: python3-pyatspi
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi (>= 2.90.1),
         gir1.2-atspi-2.0 (>= 2.33.1),
         libatk-adaptor (>= 2.11.2), at-spi2-core
Description: Assistive Technology Service Provider Interface - Python3 bindings
 at-spi is the "Assistive Technology Service Provider Interface".
 .
 This package contains Python3 bindings for the client side aspects of at-spi2.

=== debian/rules ===
#!/usr/bin/make -f

# Taken from the pygobject packaging.
PYDEFAULTVER := $(shell pyversions --default --version)
PYVERS := $(shell pyversions --requested --version debian/control)
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)

configure_flags =

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
        configure_flags += --enable-tests
endif

%:
	dh $@ --with python2,python3,autoreconf

override_dh_auto_configure:
	set -e ; for pyver in $(PYVERS); do \
	    PYTHON=/usr/bin/python$$pyver dh_auto_configure -B $(CURDIR)/build-$$pyver -- $(configure_flags); \
	done

override_dh_auto_build:
	set -e ; for pyver in $(PYVERS); do \
	    PYTHON=/usr/bin/python$$pyver dh_auto_build -B $(CURDIR)/build-$$pyver; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x tests/pyatspi/runtests.sh
	chmod +x tests/pyatspi/testrunner.in
	set -e ; for pyver in $(PYVERS); do \
	    PYTHON=/usr/bin/python$$pyver xvfb-run -s -noreset -a dbus-run-session -- $(MAKE) -C $(CURDIR)/build-$$pyver check || ( cat $(CURDIR)/build-$$pyver/tests/pyatspi/test-suite.log ; false ); \
	done
endif

override_dh_auto_install:
	set -e ; for pyver in $(PYVERS); do \
	    PYTHON=/usr/bin/python$$pyver dh_auto_install -B $(CURDIR)/build-$$pyver; \
	done

override_dh_auto_clean:
	-for pyver in $(PYVERS); do \
	    dh_auto_clean -B $(CURDIR)/build-$$pyver; \
	done
	dh_auto_clean

=== debian/tests/control ===
Tests: tests
Depends: build-essential,
         python-pyatspi, python3-pyatspi,
         @builddeps@,
         xauth, xvfb, dbus, at-spi2-core

## pyatspi 2.36.0

=== debian/changelog ===
pyatspi (2.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Mar 2020 16:20:29 +0100

pyatspi (2.35.1-1) experimental; urgency=medium

  * New upstream release
    - patches/python3.8: upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 01:05:03 +0100

pyatspi (2.34.0-6) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.4.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 Dec 2019 03:07:54 +0000

pyatspi (2.34.0-5) unstable; urgency=medium

  * rules: Drop python-all dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Nov 2019 22:54:18 +0100

pyatspi (2.34.0-4) unstable; urgency=medium

  * rules: Stop building python2 bindings.
  * tests/control: Drop python-pyatspi dependency.
  * tests/tests: Stop testing python2 versions.
  * control: Drop python-pyatspi package, drop python-dbus build-dependency
    (Closes: #937388).
  * control: Add python3-gi build-dependency (Closes: Bug#945038).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Nov 2019 19:46:41 +0100

pyatspi (2.34.0-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Run the autopkg tests for all python versions before failing,
    make the output a bit more verbose.

  [ Samuel Thibault ]
  * patches/python3.8: Fix tests with Python 3.8 (Closes: Bug#944537).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Nov 2019 15:03:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/pyatspi
 Vcs-Git: https://salsa.debian.org/a11y-team/pyatspi.git
-Homepage: http://live.gnome.org/Accessibility
-Build-Depends: debhelper (>= 12~),
-               dh-python, python-all, python3-all,
+Homepage: https://live.gnome.org/Accessibility
+Build-Depends: debhelper-compat (= 12),
+               dh-python, python3-all,
                pkg-config,
                python-gi-dev (>= 2.90.1),
-               python-dbus <!nocheck>,
+               python3-gi (>= 2.90.1),
                python3-dbus <!nocheck>,
                libdbus-1-dev <!nocheck>,
                libglib2.0-dev <!nocheck>,
@@ -24,19 +24,7 @@
                dbus <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.4.0
-
-Package: python-pyatspi
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-gi (>= 2.90.1),
-         gir1.2-atspi-2.0 (>= 2.33.90~),
-         libatk-adaptor (>= 2.11.2), at-spi2-core
-Description: Assistive Technology Service Provider Interface - Python bindings
- at-spi is the "Assistive Technology Service Provider Interface".
- .
- This package contains Python bindings for the client side aspects of at-spi2.
+Standards-Version: 4.4.1
 
 Package: python3-pyatspi
 Architecture: all

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://ftp.gnome.org/pub/GNOME/sources/pyatspi/(\d.[0-9]*[02468])/pyatspi-@ANY_VERSION@@ARCHIVE_EXT@

## pyatspi 2.38.0

=== debian/changelog ===
pyatspi (2.38.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Sep 2020 21:49:49 +0200

pyatspi (2.37.90-1) experimental; urgency=medium

  * New upstream beta.
    - patches/gtk-3: Upstreamed
    - patches/no-dbus-glib: Upstreamed.
  * Move tests patches from patches to tests-patches.
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Aug 2020 17:38:37 +0200

pyatspi (2.36.0-2) unstable; urgency=medium

  * patches/no-dbus-glib: Avoid dbus-glib dependency (Closes: #955939)
  * control: Replace libdbus-1-dev build-dep with libatspi2.0-dev.
  * control: Update alioth list domain.
  * patches/gtk-3: Use gtk3.
  * control: Replace libgtk2.0-dev build-dep with libgtk-3-dev.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Apr 2020 12:49:02 +0200

## pyatspi 2.38.1

=== debian/changelog ===
pyatspi (2.38.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Samuel Thibault ]
  * New upstream bugfix release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Mar 2021 23:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pyatspi
 Section: python
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/pyatspi
 Vcs-Git: https://salsa.debian.org/a11y-team/pyatspi.git
@@ -12,19 +12,18 @@
                python-gi-dev (>= 2.90.1),
                python3-gi (>= 2.90.1),
                python3-dbus <!nocheck>,
-               libdbus-1-dev <!nocheck>,
+               libatspi2.0-dev <!nocheck>,
                libglib2.0-dev <!nocheck>,
-               libdbus-glib-1-dev <!nocheck>,
                libxml2-dev <!nocheck>,
                libatk1.0-dev <!nocheck>,
-               libgtk2.0-dev <!nocheck>,
+               libgtk-3-dev <!nocheck>,
                gir1.2-atspi-2.0 (>= 2.33.1) <!nocheck>,
                libatk-adaptor (>= 2.32.0-6~) <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 
 Package: python3-pyatspi
 Architecture: all

=== debian/tests/control ===
Tests: tests
Depends: build-essential,
         python3-pyatspi,
         @builddeps@,
         xauth, xvfb, dbus, at-spi2-core

## pyatspi 2.38.2

=== debian/changelog ===
pyatspi (2.38.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream bugfix release.
  * control: Set Rules-Requires-Root to no.
  * tests/control: Add python3-all dep to test all python versions.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python-gi-dev and python3-gi.
    + python3-pyatspi: Drop versioned constraint on libatk-adaptor and
      python3-gi in Depends.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Dec 2021 11:12:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python, python3-all,
                pkg-config,
-               python-gi-dev (>= 2.90.1),
-               python3-gi (>= 2.90.1),
+               python-gi-dev,
+               python3-gi,
                python3-dbus <!nocheck>,
                libatspi2.0-dev <!nocheck>,
                libglib2.0-dev <!nocheck>,
@@ -23,15 +23,16 @@
                dbus <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 
 Package: python3-pyatspi
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-gi (>= 2.90.1),
+         python3-gi,
          gir1.2-atspi-2.0 (>= 2.33.1),
-         libatk-adaptor (>= 2.11.2), at-spi2-core
+         libatk-adaptor, at-spi2-core
 Description: Assistive Technology Service Provider Interface - Python3 bindings
  at-spi is the "Assistive Technology Service Provider Interface".
  .

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
 # Taken from the pygobject packaging.
-PYDEFAULTVER := $(shell pyversions --default --version)
-PYVERS := $(shell pyversions --requested --version debian/control)
-PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)
+PYVERS := $(shell py3versions --supported --version)
 
 configure_flags =
 
@@ -12,7 +10,7 @@
 endif
 
 %:
-	dh $@ --with python2,python3,autoreconf
+	dh $@ --with=python3
 
 override_dh_auto_configure:
 	set -e ; for pyver in $(PYVERS); do \
@@ -28,9 +26,18 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	chmod +x tests/pyatspi/runtests.sh
 	chmod +x tests/pyatspi/testrunner.in
+	fail=0; \
 	set -e ; for pyver in $(PYVERS); do \
-	    PYTHON=/usr/bin/python$$pyver xvfb-run -s -noreset -a dbus-run-session -- $(MAKE) -C $(CURDIR)/build-$$pyver check || ( cat $(CURDIR)/build-$$pyver/tests/pyatspi/test-suite.log ; false ); \
-	done
+	    echo "====================  test with PYTHON $$pyver =================="; \
+	    if PYTHON=/usr/bin/python$$pyver xvfb-run -s -noreset -a dbus-run-session -- $(MAKE) -C $(CURDIR)/build-$$pyver check; \
+	    then \
+	      echo "====================  test with PYTHON $$pyver DONE =================="; \
+            else \
+	      echo "====================  test with PYTHON $$pyver FAILED =================="; \
+              cat $(CURDIR)/build-$$pyver/tests/pyatspi/test-suite.log; \
+	      fail=1; \
+	    fi; \
+	done; exit $$fail
 endif
 
 override_dh_auto_install:

## pyatspi 2.46.0

=== debian/changelog ===
pyatspi (2.46.0-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * tests/control: Depend on dbus-daemon instead of dbus.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:38:03 +0100

pyatspi (2.46.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Make Multi-Arch: foreign.
  * control, rules: Replace dh-python and --with python3 with
   dh-sequence-python3.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Sep 2022 20:05:45 +0200

pyatspi (2.45.90-1) unstable; urgency=medium

  * New upstream development release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 08 Aug 2022 00:20:49 +0200

pyatspi (2.45.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Jul 2022 01:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Vcs-Browser: https://salsa.debian.org/a11y-team/pyatspi
 Vcs-Git: https://salsa.debian.org/a11y-team/pyatspi.git
 Homepage: https://live.gnome.org/Accessibility
-Build-Depends: debhelper-compat (= 12),
-               dh-python, python3-all,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3, python3-all,
                pkg-config,
                python-gi-dev,
                python3-gi,
@@ -24,10 +24,11 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 
 Package: python3-pyatspi
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-gi,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 %:
-	dh $@ --with=python3
+	dh $@
 
 override_dh_auto_configure:
 	set -e ; for pyver in $(PYVERS); do \
@@ -23,7 +23,6 @@
 	done
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	chmod +x tests/pyatspi/runtests.sh
 	chmod +x tests/pyatspi/testrunner.in
 	fail=0; \
@@ -38,7 +37,6 @@
 	      fail=1; \
 	    fi; \
 	done; exit $$fail
-endif
 
 override_dh_auto_install:
 	set -e ; for pyver in $(PYVERS); do \

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// http://ftp.gnome.org/pub/GNOME/sources/pyatspi/(\d.[0-9]*)/pyatspi-@ANY_VERSION@@ARCHIVE_EXT@

## pyatspi 2.46.1

=== debian/changelog ===
pyatspi (2.46.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches: applied in new release
  * debian/docs: README → README.md

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 09:20:49 -0400

pyatspi (2.46.0-3) unstable; urgency=medium

  * clean: Drop generated files (Closes: Bug#1046432)
  * control: Replace pkg-config deps with pkgconf.
  * patches/implicit,implicit2,implicit3: Fix build with qa=+bug-implicit-func.
    (Closes: Bug#1066262)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 15:14:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: https://live.gnome.org/Accessibility
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3, python3-all,
-               pkg-config,
+               pkgconf,
                python-gi-dev,
                python3-gi,
                python3-dbus <!nocheck>,

## pyatspi 2.57.0

=== meson_options.txt ===
option('enable_tests',
       description: 'Enable unit tests',
       type: 'boolean',
       value: false)

=== debian/changelog ===
pyatspi (2.57.0-1) unstable; urgency=medium

  * New upstream release.
    - control: Add meson and libdbus-1-dev build-dependencies.
    - rules: Update enabling and running tests.
    - tests/: Update running tests.
    - patches/install-image: Install missing image.py.
  * tests/tests: Always unpatch on exit.
  * Remove empty debian/patches/series.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Aug 2025 00:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Homepage: https://live.gnome.org/Accessibility
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3, python3-all,
+               meson,
                pkgconf,
                python-gi-dev,
                python3-gi,
@@ -20,11 +21,12 @@
                gir1.2-atspi-2.0 (>= 2.33.1) <!nocheck>,
                libatk-adaptor (>= 2.32.0-6~) <!nocheck>,
                at-spi2-core <!nocheck>,
+               libdbus-1-dev (>= 1.0) <!nocheck>,
                dbus <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 
 Package: python3-pyatspi
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 configure_flags =
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-        configure_flags += --enable-tests
+        configure_flags += -Denable_tests=true
 endif
 
 %:
@@ -28,7 +28,7 @@
 	fail=0; \
 	set -e ; for pyver in $(PYVERS); do \
 	    echo "====================  test with PYTHON $$pyver =================="; \
-	    if PYTHON=/usr/bin/python$$pyver xvfb-run -s -noreset -a dbus-run-session -- $(MAKE) -C $(CURDIR)/build-$$pyver check; \
+	    if PYTHON=/usr/bin/python$$pyver xvfb-run -s -noreset -a dbus-run-session -- ninja -C $(CURDIR)/build-$$pyver test; \
 	    then \
 	      echo "====================  test with PYTHON $$pyver DONE =================="; \
             else \

=== debian/tests/control ===
Tests: tests
Depends: build-essential,
         python3-all, python3-pyatspi,
         @builddeps@,
         xauth, xvfb, dbus-daemon, at-spi2-core

## pyatspi 2.58.1

=== debian/changelog ===
pyatspi (2.58.1-1~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Dec 2025 00:43:21 +0100

pyatspi (2.58.1-1) unstable; urgency=medium

  * New upstream release.
    - patches/install-image: Upstreamed.
    - patches/pasy: Upstreamed.
    - patches/python3.13: Upstreamed.
  * patches/at-spi2-core-2.59.1: Fix build against at-spi2-core 2.59.1.
  * control: Bump build-dep accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Feb 2026 20:14:01 +0100

pyatspi (2.57.0-3) unstable; urgency=medium

  * Re-upload without binaries.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Dec 2025 16:03:37 +0100

pyatspi (2.57.0-2) unstable; urgency=medium

  * control: Build-depend on dbus-daemon rather than all dbus
    (Closes: Bug#1122700)
  * patches/pasy: Fix reporting exceptions.
  * patches/python3.13: Avoid regression introduced in python 3.13.9, see
    #1122875.
  * patches/pythonver: Fix running the targetted python interpreter versions.
  * tests/tests: Fix running the targetted python interpreter versions.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 17 Dec 2025 16:08:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-gi-dev,
                python3-gi,
                python3-dbus <!nocheck>,
-               libatspi2.0-dev <!nocheck>,
+               libatspi2.0-dev (>= 2.59.1-2) <!nocheck>,
                libglib2.0-dev <!nocheck>,
                libxml2-dev <!nocheck>,
                libatk1.0-dev <!nocheck>,
@@ -22,7 +22,7 @@
                libatk-adaptor (>= 2.32.0-6~) <!nocheck>,
                at-spi2-core <!nocheck>,
                libdbus-1-dev (>= 1.0) <!nocheck>,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Rules-Requires-Root: no
